/*
    Aufgabe3) Methode nachvollziehen und umschreiben

    Die Methode 'unknown' erzeugt aus einer Zahl einen String. Sie sollen selbst herausfinden, was 'unknown' genau macht.

    Schreiben Sie zwei statische Methoden namens 'nullen' und 'einsen', die je eine Zahl vom Typ long als Argument nehmen
    und eine Zahl vom Typ int zurückgeben. Wenn man 'nullen' mit dem gleichen Wert aufruft wie 'unknown', soll 'nullen'
    errechnen, wie oft '0' im String vorkommt, den 'unknown' zurückgeben würde. Entsprechend soll 'einsen' errechnen, wie
    oft '1' im String vorkommt. Die Ergebnisse von 'nullen' und 'einsen' sollen direkt aus den Parametern errechnet
    werden, ohne 'unknown' aufzurufen oder einen String zu verwenden. Falls Schleifen nötig sind, sollen in 'nullen' nur
    (eine) while-Schleife(n) und in 'einsen' nur (eine) for-Schleife(n) vorkommen.

    Zusatzfragen:
    1. Was gibt 'unknown' zurück?
    2. Wozu dient der bedingte Ausdruck in 'unknown'?
    3. Warum können in 'unknown' Literale wie 0 und 2 verwendet werden, obwohl mit Zahlen vom Typ long gerechnet wird?
    4. Sind verschiedene Arten von Schleifen gegeneinander austauschbar? Wenn ja, wie?
*/
public class Aufgabe3 {

    // was macht 'unknown'?
    private static String unknown(long n) {
        String s = "";
        n = n < 0 ? -n : n;
        do {
            s = (n % 2) + s;
        } while ((n /= 2) != 0);
        return s;
    }

    // just for testing ...
    public static void main(String[] args) {
        // Implementierung von main wird nicht beurteilt
    }
}
